Adjusts the traffic percentage for an active canary deployment.
curl --request PATCH \
--url https://api.strait.dev/v1/workflows/{workflowID}/canary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"traffic_pct": 123
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"source_version": 123,
"status": "<string>",
"target_version": 123,
"traffic_pct": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": "<string>",
"$schema": "<string>",
"auto_promote_config": "<unknown>",
"completed_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/CanaryDeployment.json"
curl --request PATCH \
--url https://api.strait.dev/v1/workflows/{workflowID}/canary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"traffic_pct": 123
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"source_version": 123,
"status": "<string>",
"target_version": 123,
"traffic_pct": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": "<string>",
"$schema": "<string>",
"auto_promote_config": "<unknown>",
"completed_at": "2023-11-07T05:31:56Z"
}